locked
Fail to install swedish advanced linguistics on FAST ESP 5.3 SP4 RRS feed

  • Question

  • Hi,

    I'm using the als-installer to install a swedish advanced linquistics pack on a FAST ESP 5.3 SP4 single-node server. FAST itself is up and running in all aspects, but when I run the following command from an administrative console window after setting up the ESP environment with setupenv.cmd, I get errors in the log.

    E:\esp\bin>als-installer --logfile=..\als-sv.log -p 13000 "C:\install\install_fsis\5. ALS_esp53_Swed
    ish_1_0_all\als-sv.zip"
    

    The errors log like this:

    [2013-11-25 12:43:51] Info: Compiling resource als-sv.zip (1 of 1) ...
    [2013-11-25 12:43:51] Info: Compiling lemmatization reduction automaton
    [2013-11-25 12:43:51] Verbose: Running 'dj.cmd -t LDR  c:\users\ext-jo~1\appdata\local\temp\tmpnjuwmz\lemmatization E:\esp\bin\..\adminserver\webapps\adminserver\downloads\dictionaries\lemmatization\sv_NA_red.aut > c:\users\ext-jo~1\appdata\local\temp\tmpnjuwmz\.errlog 2>&1'
    [2013-11-25 12:43:51] Verbose: Return value: 1
    [2013-11-25 12:43:51] Error (1): Command 'dj.cmd -t LDR  c:\users\ext-jo~1\appdata\local\temp\tmpnjuwmz\lemmatization E:\esp\bin\..\adminserver\webapps\adminserver\downloads\dictionaries\lemmatization\sv_NA_red.aut > c:\users\ext-jo~1\appdata\local\temp\tmpnjuwmz\.errlog 2>&1' returned 1:
    [2013-11-25 12:43:51] >>>  'dj.cmd' is not recognized as an internal or external command,
    [2013-11-25 12:43:51] >>>  operable program or batch file.
    [2013-11-25 12:43:51] Info: Compiling lemmatization expansion automaton
    

    The referenced command file dj.cmd exists in the E:\esp\esp4j\bin folder just like in other FAST environments I've got access to. I've also checked that the PATH environment variable looks the same as on my other FAST environments.


    Brgds Jonas

    Monday, November 25, 2013 2:57 PM

Answers

  • Hello Jonas,

    I believe that we have seen similar problems with the Russian Language Support pack, as seen here:
    http://social.technet.microsoft.com/Forums/en-US/2d2a4fee-8cbd-4dd8-b141-6149a832115b/linguistics-studio-russian-language-support?forum=fastinternetesp

    Have you tried using Linguistics Studio to apply the Swedish ALS?  If so, and you still see this problem, there is a workaround that is commonly recommended to apply the old 5.0 language pack, which is named ALS_esp50_Swedish_1_1_all on connect.microsoft.com.  The old language pack should have the same terms in the dictionaries, however the problem with this workaround is that the dictionaries are not able to be modified.  Once they are in place, they will work, however you cannot add, delete or modify terms.  Let me know your findings, and if you have any questions.

    Thanks!

    Rob Vazzana | Sr Support Escalation Engineer | US Customer Service & Support

    Customer Service   & Support                            Microsoft| Services


    Thursday, December 5, 2013 8:28 PM

All replies

  • Hello Jonas,

    I believe that we have seen similar problems with the Russian Language Support pack, as seen here:
    http://social.technet.microsoft.com/Forums/en-US/2d2a4fee-8cbd-4dd8-b141-6149a832115b/linguistics-studio-russian-language-support?forum=fastinternetesp

    Have you tried using Linguistics Studio to apply the Swedish ALS?  If so, and you still see this problem, there is a workaround that is commonly recommended to apply the old 5.0 language pack, which is named ALS_esp50_Swedish_1_1_all on connect.microsoft.com.  The old language pack should have the same terms in the dictionaries, however the problem with this workaround is that the dictionaries are not able to be modified.  Once they are in place, they will work, however you cannot add, delete or modify terms.  Let me know your findings, and if you have any questions.

    Thanks!

    Rob Vazzana | Sr Support Escalation Engineer | US Customer Service & Support

    Customer Service   & Support                            Microsoft| Services


    Thursday, December 5, 2013 8:28 PM
  • Hi,

    Thanks for your answer. I haven't tried the Linguistics Studio, I thought that was a legacy solution not to use for ESP 5.3?  What are the pros and cons of using it?

    I have other environments where I installed the Swedish ALS, and I think it was successfully installed there. I'm also need to install the Norwegian and Finnish but have waited for some solution to the problem before going any further. Is it specifically the Swedish and Russian ALS:es that are troublesome, or is it a common problem?



    Brgds Jonas

    Thursday, December 5, 2013 8:49 PM
  • Hi Jonas,

    You can use Linguistics Studio in ESP 5.3, and that was suggested to confirm that the problem occurred there as well.  In some circumstances, there may be functions that do not work, so we recommend dictman, but you can certainly use it.  Going forward, I would try the older ESP 5.0 version 1.1 version of the language pack,  Let us know if you have more questions.

    Thanks!

    Rob Vazzana | Sr Support Escalation Engineer | US Customer Service & Support

    Customer Service   & Support                            Microsoft| Services

    Friday, April 25, 2014 8:27 PM